subroutine DERIVS(t)
use work
! Calculeaza membrii II ai ec. dif. de ordinul I
implicit real(8) (a-h,o-z)


! Ecuatie rigida:
! x' =u
! u' =-k*x -k1*u;
! k =100; k1 =101;

!ff(1) =y(2)
!ff(2) =-100*y(1) -101*y(2)

f(1) =xEnd(2)
f(2) =- Param%k*xEnd(1) -Param%k1*xEnd(2)


END subroutine DERIVS

